Execute Template Test

Prev Next
Post
/api/v1/Execution/projects/{projectId}/template-tests/{testId}/execute

Execute a specified template test

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the template test

testId
integer (int32) Required

Template test to execute

Body parameters

Execution configuration

object
saveInRepository
boolean

Set this to true if you would like to save the test results in the repository; false if the results should just be sent to the screen

parallelTestCount
integer (int32)

Number of tests to run in parallel on execution

childTestId
integer (int32) | null

Set this to run one specfic test within the template test

object
saveInRepository
boolean

Set this to true if you would like to save the test results in the repository; false if the results should just be sent to the screen

parallelTestCount
integer (int32)

Number of tests to run in parallel on execution

childTestId
integer (int32) | null

Set this to run one specfic test within the template test

object
saveInRepository
boolean

Set this to true if you would like to save the test results in the repository; false if the results should just be sent to the screen

parallelTestCount
integer (int32)

Number of tests to run in parallel on execution

childTestId
integer (int32) | null

Set this to run one specfic test within the template test

object
saveInRepository
boolean

Set this to true if you would like to save the test results in the repository; false if the results should just be sent to the screen

parallelTestCount
integer (int32)

Number of tests to run in parallel on execution

childTestId
integer (int32) | null

Set this to run one specfic test within the template test

Responses
200

OK

object
name
string | null

The name of the execution result

executionKey
string | null

The key of the execution result

batchId
integer (int32) | null

The ID of the batch associated with the execution

403

Forbidden

404

Not Found

object
error
string | null